%define name	nagat
%define version	1.0
%define release a2
%define webadminroot /var/www/html/admin

Summary:	Nagios Administration Tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}a2.tar.bz2
Patch0:		%{name}-%{version}a2-config.patch.bz2
License:	GPL
Url:		http://sourceforge.net/projects/nagat/
Group:		System/Servers
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	nagios nagios-plugins apache2 php-common mod_php
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
Nagat, or Nagios Administration Tool, is a webbased solution
written in PHP for configuring Nagios, a host and service monitor.

%prep
%setup -q -n %{name}-%{version}a2

# fix file perms
find . -type f | xargs chmod 644

%patch0 -p0

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/%{webadminroot}/%{name}
install -m644 *.php %{buildroot}/%{webadminroot}/%{name}/
install -m644 *.inc %{buildroot}/%{webadminroot}/%{name}/
install -m644 local.inc.dist %{buildroot}/%{webadminroot}/%{name}/local.inc
touch %{buildroot}/%{webadminroot}/%{name}/nagatcfg.dat
touch %{buildroot}/%{webadminroot}/%{name}/nagatobjs.dat

%post
echo "Remember to run:"
echo "chown apache.apache /etc/nagios/*"
echo "chmod 666 /etc/nagios/*"

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README TODO
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/local.inc
%config(noreplace) %attr(0666,apache,apache) %{webadminroot}/%{name}/nagatcfg.dat
%config(noreplace) %attr(0666,apache,apache) %{webadminroot}/%{name}/nagatobjs.dat
%{webadminroot}/%{name}/*

%changelog
* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0-0.a2.1mdk
- initial cooker contrib
